#
# spec file for package siga (Version 1.003)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         siga
Copyright:    GPL
Group:        Applications/System
Requires:     lynx
Autoreqprov:  on
Version:      1.003
Release:      27
Source:       siga
Summary:      System Information GAthering
Buildroot:    %{_tmppath}/%{name}-root

%description
This is siga, System Information GAthering.
It collects various information on your system and outputs
it in HTML or ASCII format. Since it needs root permissions,
you will be asked for the root password.
It is very handy as an information source during installation support
phone calls.

Authors:
--------
    Martin Lasarsch <mlasars@suse.de>
    Stefan Schmidt <jsj@suse.de>

SuSE series: ap


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp %{SOURCE0} $RPM_BUILD_ROOT/usr/bin
chown root.root $RPM_BUILD_ROOT/usr/bin/siga
chmod 755 $RPM_BUILD_ROOT/usr/bin/siga 

%files
/usr/bin/siga

%changelog -n siga
* Fri Sep 14 2001 - mlasars@suse.de
- default Browser now w3m
* Mon Sep 10 2001 - ro@suse.de
- fixed sort order in changes file
- 1.004 fixes some /tmp/siga.html to $SIGA_OUT
- 1.005 clean up, add USERHOMEDIR
* Mon Aug 27 2001 - jsj@suse.de
- uses sux - -c instead of sux -c
- fix sux - su
- added floppy option
- change userlang, read now from rc.config
* Fri Aug 10 2001 - jsj@suse.de
- update to suit 7.3 needs (new version)
- fixed security information disclosure
- fixed problems on starting browser
* Wed May 09 2001 - jsj@suse.de
- deleted unimportant entry apsfilterrc
- 2log file now external
- LANG fix
- all resp. Bugzilla #7928
* Mon Apr 30 2001 - jsj@suse.de
- fixed bug in file accessing
- made selection of files a little more robust
- added checks to ensure files are really there
  (~/.xession-errors, /etc/apsfilterrc.*)
* Tue Apr 24 2001 - jsj@suse.de
- cleaned up the code
- added some log files in display of files
* Thu Apr 12 2001 - jsj@suse.de
- changed location of file
* Thu Apr 12 2001 - jsj@suse.de
- created package
